Subject: Re: bug#45574: Guile 3 fails to build non-deterministically

From: Mathieu Othacehe <[email-masked]>
Date: Tue, 12 Jan 2021 11:38:02 +0100

Hello Chris,

> If you try to build Guile 3 without substitutes using any recent version
> of Guix, it can frequently fail.  I had to try about 12 times
> in a row before it succeeded.  The failure simply said "FAIL:
> check-guile" - I didn't save the build logs, which were lost once the
> build succeeded.  If anyone is interested in debugging, it should be
> easy to reproduce.  Just do this:

I investigated those failures yesterday. I think they are caused by:
https://lists.gnu.org/archive/html/bug-guile/2020-09/msg00012.html.

Let's see if the fix proposed by Rob can be merged in Guile.

Thanks,

Mathieu